{*******************************************************}
{                                                       }
{         TAdressBook Component  DEMO                   }
{                                                       }
{                                                       }
{       Designed by Youssef Loudiyi                     }
{       email: loudiyi@mtds.com                         }
{                                                       }
{       Copyright (c) LC Software 1997                  }
{       January, 18th 1997.                             }
{                                                       }
{  NB: 1. Set the MaxInfo property                      }
{      2. Set Columns property                          }
{      3. Modify EditF according to MaxInfo and Columns }
{      4. Any feed-back will be welcome !               }
{*******************************************************}

unit Main;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ComCtrls, ExtCtrls, StdCtrls, Menus, Split32, Adress32;

type
  TForm1 = class(TForm)
    Panel1: TPanel;
    TreeView1: TTreeView;
    ImageList1: TImageList;
    AdressBook1: TAdressBook;
    MainMenu1: TMainMenu;
    Export1: TMenuItem;
    Import1: TMenuItem;
    Print1: TMenuItem;
    Exit1: TMenuItem;
    About1: TMenuItem;
    Splitter1: TSplitter; // a little component
    procedure FormCreate(Sender: TObject);
    procedure Export1Click(Sender: TObject);
    procedure Import1Click(Sender: TObject);
    procedure Print1Click(Sender: TObject);
    procedure Exit1Click(Sender: TObject);
    procedure About1Click(Sender: TObject);
  private

  public

  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
begin
 AdressBook1.Init;
end;

procedure TForm1.Export1Click(Sender: TObject);
begin
 AdressBook1.ExportAdress;
end;

procedure TForm1.Import1Click(Sender: TObject);
begin
 AdressBook1.ImportAdress;
end;

procedure TForm1.Print1Click(Sender: TObject);
begin
 AdressBook1.PrintAdress;
end;

procedure TForm1.Exit1Click(Sender: TObject);
begin
 Application.Terminate;
end;

procedure TForm1.About1Click(Sender: TObject);
begin
 MessageDlg('TAdressBook (c)copyright 1997-LC Software', mtInformation, [mbOk], 0);
end;

end.
